Subject: Re: bug#5607: 23.1; compile error regexps for perl test scripts, mark 2

From: Kevin Ryde <[email-masked]>
Date: Fri, 07 Dec 2012 09:34:40 +1100

Chong Yidong <[email-masked]> writes:
>
> With your patch, the following line from the old compile.txt is no
> longer correctly highlighted:
>
> # Test 6 got: "xx" (foo.t at line 33 fail #2)
>
> Is that a valid compilation message?

Yes.  It should be matched.  My latest and greatest seems to do so
( http://user42.tuxfamily.org/compilation-perl/index.html ).  I'll try
to double check what I posted.

Incidentally, the "cucumber" pattern of the emacs24 seems to match the
perl test intro

# Current time local: Wed Aug 15 12:04:58 2012

I wondered if the cucumber "#" bit might be tightened up.  Maybe its "#"
is never at the start of a line, or something like that.